Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.cache.pojo.notification.event
Enum MapModifiedEvent.Operation

    java.lang.Object
      java.lang.Enum<MapModifiedEvent.Operation>
          org.jboss.cache.pojo.notification.event.MapModifiedEvent.Operation

All Implemented Interfaces:
  Serializable, Comparable<MapModifiedEvent.Operation>

Enclosing class:
  MapModifiedEvent

    public static enum MapModifiedEvent.Operation

extends Enum<MapModifiedEvent.Operation>

Enum Constant Summary
`PUT`
`REMOVE`

Method Summary
`static MapModifiedEvent.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MapModifiedEvent.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUT

    public static final MapModifiedEvent.Operation PUT

### REMOVE

    public static final MapModifiedEvent.Operation REMOVE

Method Detail

### values

    public static final MapModifiedEvent.Operation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MapModifiedEvent.Operation c : MapModifiedEvent.Operation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MapModifiedEvent.Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.